Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.encoders
Class ImageEncoderFactory

    java.lang.Object
      org.jfree.chart.encoders.ImageEncoderFactory

    public class ImageEncoderFactory

extends java.lang.Object

Factory class for returning `ImageEncoder`s for different `ImageFormat`s.

Constructor Summary
`ImageEncoderFactory()`

Method Summary
`static ImageEncoder` | `newInstance(java.lang.String format)` Used to retrieve an ImageEncoder for a specific image format.
`static ImageEncoder` | `newInstance(java.lang.String format, boolean encodingAlpha)` Used to retrieve an ImageEncoder for a specific image format.
`static ImageEncoder` | `newInstance(java.lang.String format, float quality)` Used to retrieve an ImageEncoder for a specific image format.
`static ImageEncoder` | `newInstance(java.lang.String format, float quality, boolean encodingAlpha)` Used to retrieve an ImageEncoder for a specific image format.
`static void` | `setImageEncoder(java.lang.String format, java.lang.String imageEncoderClassName)` Used to set additional encoders or replace default ones.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageEncoderFactory

    public ImageEncoderFactory()

Method Detail

### setImageEncoder

    public static void setImageEncoder(java.lang.String format,
                                       java.lang.String imageEncoderClassName)

  Used to set additional encoders or replace default ones.

  Parameters:
    `format` - The image format name.
    `imageEncoderClassName` - The name of the ImageEncoder class.

### newInstance

    public static ImageEncoder newInstance(java.lang.String format)

  Used to retrieve an ImageEncoder for a specific image format.

  Parameters:
    `format` - The image format required.
  Returns:
    The ImageEncoder or `null` if none available.

### newInstance

    public static ImageEncoder newInstance(java.lang.String format,
                                           float quality)

  Used to retrieve an ImageEncoder for a specific image format.

  Parameters:
    `format` - The image format required.
    `quality` - The quality to be set before returning.
  Returns:
    The ImageEncoder or `null` if none available.

### newInstance

    public static ImageEncoder newInstance(java.lang.String format,
                                           boolean encodingAlpha)

  Used to retrieve an ImageEncoder for a specific image format.

  Parameters:
    `format` - The image format required.
    `encodingAlpha` - Sets whether alpha transparency should be encoded.
  Returns:
    The ImageEncoder or `null` if none available.

### newInstance

    public static ImageEncoder newInstance(java.lang.String format,
                                           float quality,
                                           boolean encodingAlpha)

  Used to retrieve an ImageEncoder for a specific image format.

  Parameters:
    `format` - The image format required.
    `quality` - The quality to be set before returning.
    `encodingAlpha` - Sets whether alpha transparency should be encoded.
  Returns:
    The ImageEncoder or `null` if none available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.